Package org.eclipse.net4j.util.properties

## Interface IPropertyProvider<RECEIVER>

- All Known Subinterfaces:
    `IProperties<RECEIVER>`
  All Known Implementing Classes:
    `DefaultPropertyTester`, `Properties`

      public interface IPropertyProvider<RECEIVER>

  Provides a list of `property descriptors`.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<Property<RECEIVER>>` | `getProperties()` |

- - ### Method Detail

    - #### getProperties

          java.util.List<Property<RECEIVER>> getProperties()